# Interface IDatabricksStatementInternal

All Known Implementing Classes:
  `DatabricksPreparedStatement`, `DatabricksStatement`

public interface IDatabricksStatementInternal
Extended callback handle for java.sql.Statement interface

## Method Summary

Modifier and Type
Method
Description
`void`
`allowInputStreamForVolumeOperation(boolean allowedInputStream)`
`void`
`close(boolean removeFromSession)`
`org.apache.http.entity.InputStreamEntity`
`getInputStreamForUCVolume()`
`int`
`getMaxRows()`
`Statement`
`getStatement()`
`StatementId`
`getStatementId()`
`void`
`handleResultSetClose(IDatabricksResultSet resultSet)`
`boolean`
`isAllowedInputStreamForVolumeOperation()`
`void`
`setInputStreamForUCVolume(org.apache.http.entity.InputStreamEntity inputStream)`
`void`
`setStatementId(StatementId statementId)`

## Method Details

### close

void close(boolean removeFromSession) throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### handleResultSetClose

void handleResultSetClose(IDatabricksResultSet resultSet) throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### getMaxRows

int getMaxRows() throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### setStatementId

void setStatementId(StatementId statementId)

### getStatementId

StatementId getStatementId()

### getStatement

Statement getStatement()

### allowInputStreamForVolumeOperation

void allowInputStreamForVolumeOperation(boolean allowedInputStream) throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### isAllowedInputStreamForVolumeOperation

boolean isAllowedInputStreamForVolumeOperation() throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### setInputStreamForUCVolume

void setInputStreamForUCVolume(org.apache.http.entity.InputStreamEntity inputStream) throws DatabricksSQLException

Throws:
  `DatabricksSQLException`

### getInputStreamForUCVolume

org.apache.http.entity.InputStreamEntity getInputStreamForUCVolume() throws DatabricksSQLException

Throws:
  `DatabricksSQLException`